using ShipyardContracts.BindingModels;
using ShipyardContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ShipyardContracts.BusinessLogicsContracts
{
    public interface IReportLogic
    {
        List<ReportShipDetailViewModel> GetShipDetail();

        List<ReportOrdersViewModel> GetOrders(ReportBindingModel model);

        void SaveComponentsToWordFile(ReportBindingModel model);

        void SaveProductComponentToExcelFile(ReportBindingModel model);

        void SaveOrdersToPdfFile(ReportBindingModel model);
    }
}

